Opened 2 years ago

Closed 2 years ago

Last modified 2 years ago

#11504 closed Bug report (rejected)

550 No such file or directory / Error: Failed to retrieve directory listing

Reported by: ahafener Owned by:
Priority: normal Component: FileZilla Client
Keywords: directory inaccessible Cc:
Component version: Operating system type: Windows
Operating system version: 10 Pro V1709 x64

Description

When accessing the contents of my FritzBox 7490 there is one directory which is listed in Filezilla but cannot be accessed.

Whatever I try for that one specific directory (rename, change rights, enter) fails with message "550: No such file or directory".

2018-01-30 08:26:20 9404 1 Command: LIST
2018-01-30 08:26:20 9404 1 Response: 150 Opening BINARY mode data connection for '/bin/ls -lgA'.
2018-01-30 08:26:21 9404 1 Response: 226 Transfer complete.
2018-01-30 08:26:21 9404 1 Listing: drwxrwxr-x 1 ftp ftp 2048 Jun 21 2013 Bilder
2018-01-30 08:26:21 9404 1 Listing: drwxrwxr-x 1 ftp ftp 2048 Sep  6 2017 Dokumente
2018-01-30 08:26:21 9404 1 Listing: drwxrwxrwx 1 ftp ftp 2048 Oct 22 2015 FRITZ
2018-01-30 08:26:21 9404 1 Listing: drwxrwxr-x 1 ftp ftp 2048 Jun 20 2017 Musik
2018-01-30 08:26:21 9404 1 Listing: drwxrwxr-x 1 ftp ftp 2048 Jun 21 2013 Videos
2018-01-30 08:26:21 9404 1 Listing: drwxrwxrwx 1 ftp ftp 2048 Jan 30 08:00 awo_haan_dbbackup 
2018-01-30 08:26:21 9404 1 Listing: drwxrwxrwx 1 ftp ftp 2048 Sep  9 2017 lvq
2018-01-30 08:26:21 9404 1 Status: Directory listing of "/" successful
2018-01-30 08:26:24 9404 1 Status: Retrieving directory listing of "/awo_haan_dbbackup"...
2018-01-30 08:26:24 9404 1 Command: CWD awo_haan_dbbackup
2018-01-30 08:26:24 9404 1 Response: 550 awo_haan_dbbackup: No such file or directory.
2018-01-30 08:26:24 9404 1 Error: Failed to retrieve directory listing

All other directories are not showing this behavior.
I crosschecked with other ftp client (Filezilla, see attached screenshot), here, everything works out fine.

The directory's name is "awo_haan_dbbackup", it contains 110 files using 285 MB of space.

Attached please find complete debug log.

Attachments (2)

filezilla.log (15.5 KB) - added by ahafener 2 years ago.
filezilla debug log
fireFTP directory listing.png (58.4 KB) - added by ahafener 2 years ago.
fireFTP directory listing

Download all attachments as: .zip

Change History (12)

Changed 2 years ago by ahafener

Attachment: filezilla.log added

filezilla debug log

Changed 2 years ago by ahafener

fireFTP directory listing

comment:1 Changed 2 years ago by ahafener

Correction: ftp client used to verify the issue was fireFTP

comment:2 Changed 2 years ago by Tim Kosse

Resolution: rejected
Status: newclosed

It looks like the path contains a trailing space. Trailing spaces are indistinguishable from padding spaces if using LIST. Please update to a modern FTP server supporting the MLSD command which has a well-defined output that supports filenames with leading/trailing spaces.

comment:3 Changed 2 years ago by ahafener

You were right, folder name contained a trailing space.
Removed the space --> problem gone.

Thanks for the quick support!

comment:4 Changed 2 years ago by Jérôme SCHIFFMACHER

How do you explain that others FTP client manage trailing spaces in the name of the directory?
FTP server is the same and AceFTP 3.80.3 (06/21/2007 !) manage them well.
It's not possible with Filezilla (01/08/2018 !) ???

comment:5 Changed 2 years ago by Jérôme SCHIFFMACHER

Resolution: rejected
Status: closedreopened

comment:6 Changed 2 years ago by Tim Kosse

Resolution: rejected
Status: reopenedclosed

These other clients have a problem with padding characters then.

Note that the MLSD command which does not suffer from this issue has been standardized more than 10 years ago, there's no reason not to support this these days.

Last edited 2 years ago by Tim Kosse (previous) (diff)

comment:7 Changed 2 years ago by Jérôme SCHIFFMACHER

I don't agree with you, but it's your decision to not correct a bug...

comment:8 Changed 2 years ago by Tim Kosse

The bug is in the lack of specification for the LIST command. This has been rectified over 10 years ago with the introduction of MLSD.

Use MLSD and you won't have any problem.

comment:9 Changed 2 years ago by Jérôme SCHIFFMACHER

Sorry to insist, but AceFTP manage the LIST command without MLSD (on the same FTP server).
How do you explain that?

Look at screen shots:

AceFtp
https://zupimages.net/up/18/05/tg43.png

FileZilla
https://zupimages.net/up/18/05/48eg.png

comment:10 Changed 2 years ago by Tim Kosse

It means that your other client does not handle servers that use padding characters. On those servers FileZilla would work though.

It is not possible to have both when using LIST.

Note: See TracTickets for help on using tickets.